
From: Adrian Bunk <bunk@stusta.de>

generic_file_direct_IO isn't used outside of this file.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/fs.h |    2 --
 mm/filemap.c       |    7 +++++--
 2 files changed, 5 insertions(+), 4 deletions(-)

diff -puN include/linux/fs.h~mm-filemapc-make-generic_file_direct_io-static include/linux/fs.h
--- 25/include/linux/fs.h~mm-filemapc-make-generic_file_direct_io-static	2005-04-29 18:55:49.057564728 -0700
+++ 25-akpm/include/linux/fs.h	2005-04-29 18:55:49.063563816 -0700
@@ -1509,8 +1509,6 @@ extern void do_generic_mapping_read(stru
 				    loff_t *, read_descriptor_t *, read_actor_t);
 extern void
 file_ra_state_init(struct file_ra_state *ra, struct address_space *mapping);
-extern ssize_t generic_file_direct_IO(int rw, struct kiocb *iocb,
-	const struct iovec *iov, loff_t offset, unsigned long nr_segs);
 extern ssize_t generic_file_readv(struct file *filp, const struct iovec *iov, 
 	unsigned long nr_segs, loff_t *ppos);
 ssize_t generic_file_writev(struct file *filp, const struct iovec *iov, 
diff -puN mm/filemap.c~mm-filemapc-make-generic_file_direct_io-static mm/filemap.c
--- 25/mm/filemap.c~mm-filemapc-make-generic_file_direct_io-static	2005-04-29 18:55:49.059564424 -0700
+++ 25-akpm/mm/filemap.c	2005-04-29 18:55:49.065563512 -0700
@@ -41,6 +41,10 @@
 #include <asm/uaccess.h>
 #include <asm/mman.h>
 
+static ssize_t
+generic_file_direct_IO(int rw, struct kiocb *iocb, const struct iovec *iov,
+	loff_t offset, unsigned long nr_segs);
+
 /*
  * Shared mappings implemented 30.11.1994. It's not fully working yet,
  * though.
@@ -2315,7 +2319,7 @@ EXPORT_SYMBOL(generic_file_writev);
  * Called under i_sem for writes to S_ISREG files.   Returns -EIO if something
  * went wrong during pagecache shootdown.
  */
-ssize_t
+static ssize_t
 generic_file_direct_IO(int rw, struct kiocb *iocb, const struct iovec *iov,
 	loff_t offset, unsigned long nr_segs)
 {
@@ -2350,4 +2354,3 @@ generic_file_direct_IO(int rw, struct ki
 	}
 	return retval;
 }
-EXPORT_SYMBOL_GPL(generic_file_direct_IO);
_
